<p align="center">
  <img src="https://i.imgur.com/Xv2xvly.png" alt="npm-stats" title="npm-stats.org" />
</p>

# npm-stats

> Generate beautiful charts from your npm package statistics

## Visit

[www.npm-stats.org](http://www.npm-stats.org)

## Build Setup

``` bash
# install dependencies
npm install

# serve with hot reload at localhost:8080
npm run dev

# build for production with minification
npm run build

# build for production and view the bundle analyzer report
npm run build --report

# run unit tests
npm run unit

# run e2e tests
npm run e2e

# run all tests
npm test
```
## Docker

Build

`docker build -t registry.gitlab.com/sageburner/webflux-reports-ui:0.1.1 .`

Run

`docker run -p 8088:8080 registry.gitlab.com/sageburner/webflux-reports-ui:0.1.1`
